# Lyhendi

Demo/PoC app doing url shortening. Allows user to insert long url and (optionally) custom string.

Generated url strings are based on auto increment id keys and collisions are *unlikely*.

### Obviously not for production use

- No authentication
- No administration
- No captcha
- Not tested by competent QA engineer
- Index page displays the last url shortened, for demo purposes
- Does not redirect to target url. For demo, we don't need it

### Futureproof

- Relatively fresh platform (PHP8.1, MariaDB 10.3, Symfony 6.0)
- Lightweight and ready for further development
- Easy to add features (auth, admin, design etc...)
- Internet is full of unreasonably lengthy urls, which should be shortened

## Setup

After cloning, cd to project dir and run ```docker-compose up -d```

Assume that the port 8080 is not in use, application should be available at http://localhost:8080

One can switch `APP_ENV` value to `dev` and enjoy the almighty Symfony debug bar and profiler.

*Developed and tested only on linux machine, YMMV*
